package tp8.fenetres;

import java.awt.BorderLayout;
import java.awt.GridLayout;
import java.awt.FlowLayout;
import java.awt.Color;
import java.awt.Font;
import java.awt.event.ActionEvent;
import java.awt.event.InputEvent;
import java.awt.event.KeyEvent;
import java.beans.PropertyVetoException;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.swing.AbstractAction;
import javax.swing.Action;
import javax.swing.ButtonGroup;
import javax.swing.JButton;
import javax.swing.JCheckBox;
import javax.swing.JCheckBoxMenuItem;
import javax.swing.JInternalFrame;
import javax.swing.JLabel;
import javax.swing.JMenu;
import javax.swing.JMenuBar;
import javax.swing.JMenuItem;
import javax.swing.JPanel;
import javax.swing.JRadioButton;
import javax.swing.JScrollPane;
import javax.swing.JTextArea;
import javax.swing.KeyStroke;
import javax.swing.SwingConstants;
import javax.swing.event.InternalFrameAdapter;
import javax.swing.event.InternalFrameEvent;
import tp8.Application;

/**
 *
 * @author brunomermet
 */
public class FenetreConfig extends AbstractFenetreInterne {
	private JPanel panelLabel, panelConfig, panelButtons;

	private JLabel labelConv;
	private JLabel labelSaisie;
	private JLabel labelDiapo;
	private JLabel labelButton;

	private ButtonGroup groupConv;
	private JRadioButton autoConv, afficheConv, cacheConv;

	private ButtonGroup groupSaisie;
	private JRadioButton autoSaisie, afficheSaisie, cacheSaisie;

	private ButtonGroup groupDiapo;
	private JRadioButton autoDiapo, afficheDiapo, cacheDiapo;

	private ButtonGroup groupButton;
	private JRadioButton autoButton, afficheButton, cacheButton;

	private JButton valider, annuler;

	public FenetreConfig(Action action) {
		super(action, "Configuration des menus");

		this.panelLabel = new JPanel( new GridLayout(4, 1) );
		this.panelConfig = new JPanel(new GridLayout(4, 3));
		this.panelButtons = new JPanel(new FlowLayout());

		this.labelConv = new JLabel("Conversion Celsius/Farenheit");
		this.labelConv.setHorizontalAlignment(SwingConstants.TRAILING);
		this.groupConv = new ButtonGroup();
		this.autoConv = new JRadioButton("Auto");
		this.afficheConv = new JRadioButton("Affiché");
		this.cacheConv = new JRadioButton("Caché");
		this.groupConv.add(this.autoConv);
		this.groupConv.add(this.afficheConv);
		this.groupConv.add(this.cacheConv);

		this.labelSaisie = new JLabel("Saisie de texte");
		this.labelSaisie.setHorizontalAlignment(SwingConstants.TRAILING);
		this.groupSaisie = new ButtonGroup();
		this.autoSaisie = new JRadioButton("Auto");
		this.afficheSaisie = new JRadioButton("Affiché");
		this.cacheSaisie = new JRadioButton("Caché");
		this.groupSaisie.add(this.autoSaisie);
		this.groupSaisie.add(this.afficheSaisie);
		this.groupSaisie.add(this.cacheSaisie);

		this.labelDiapo = new JLabel("Diaporama");
		this.labelDiapo.setHorizontalAlignment(SwingConstants.TRAILING);
		this.groupDiapo = new ButtonGroup();
		this.autoDiapo = new JRadioButton("Auto");
		this.afficheDiapo = new JRadioButton("Affiché");
		this.cacheDiapo = new JRadioButton("Caché");
		this.groupDiapo.add(this.autoDiapo);
		this.groupDiapo.add(this.afficheDiapo);
		this.groupDiapo.add(this.cacheDiapo);

		this.labelButton = new JLabel("Boutons");
		this.labelButton.setHorizontalAlignment(SwingConstants.TRAILING);
		this.groupButton = new ButtonGroup();
		this.autoButton = new JRadioButton("Auto");
		this.afficheButton = new JRadioButton("Affiché");
		this.cacheButton = new JRadioButton("Caché");
		this.groupButton.add(this.autoButton);
		this.groupButton.add(this.afficheButton);
		this.groupButton.add(this.cacheButton);

		this.panelLabel.add(this.labelConv);
		this.panelConfig.add(this.autoConv);
		this.panelConfig.add(this.afficheConv);
		this.panelConfig.add(this.cacheConv);

		this.panelLabel.add(this.labelSaisie);
		this.panelConfig.add(this.autoSaisie);
		this.panelConfig.add(this.afficheSaisie);
		this.panelConfig.add(this.cacheSaisie);

		this.panelLabel.add(this.labelDiapo);
		this.panelConfig.add(this.autoDiapo);
		this.panelConfig.add(this.afficheDiapo);
		this.panelConfig.add(this.cacheDiapo);

		this.panelLabel.add(this.labelButton);
		this.panelConfig.add(this.autoButton);
		this.panelConfig.add(this.afficheButton);
		this.panelConfig.add(this.cacheButton);

		this.valider = new JButton("Valider");
		this.annuler = new JButton("Annuler");
		this.panelButtons.add(this.valider);
		this.panelButtons.add(this.annuler);

		this.add(this.panelLabel);
		this.add(this.panelConfig, BorderLayout.EAST);
		this.add(this.panelButtons, BorderLayout.SOUTH);

		pack();
	}
}
